# Generated by Django 3.0.7 on 2022-12-08 03:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import form_builder.annotations.models_base
import import_export_report.models


class Migration(migrations.Migration):

    dependencies = [
        ('model_app', '0525_auto_20220930_1131'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('asu_ods_integration', '0001_squashed_0007_complete_field_external_source'),
    ]

    operations = [
        migrations.CreateModel(
            name='AsuOdsTransport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datetime_create', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Время добавления')),
                ('datetime_update', models.DateTimeField(auto_now=True, null=True, verbose_name='Время обновления')),
                ('deleted', models.BooleanField(blank=True, db_index=True, default=False, null=True)),
                ('datetime_delete', models.DateTimeField(blank=True, null=True, verbose_name='Время удаления')),
                ('number', models.TextField(blank=True, null=True, verbose_name='Госномер')),
                ('place', models.TextField(blank=True, null=True, verbose_name='Местонажождение')),
                ('transporter', models.TextField(blank=True, null=True, verbose_name='Перевозчик')),
                ('brand', models.TextField(blank=True, null=True, verbose_name='Марка')),
                ('type', models.TextField(blank=True, null=True, verbose_name='Тип')),
                ('base', models.TextField(blank=True, null=True, verbose_name='База')),
                ('park', models.TextField(blank=True, null=True, verbose_name='Автопарк')),
                ('operator', models.TextField(blank=True, null=True, verbose_name='Оператор')),
                ('model', models.TextField(blank=True, null=True, verbose_name='Модель')),
                ('number_garage', models.TextField(blank=True, null=True, verbose_name='Гаражный номер')),
                ('vin', models.TextField(blank=True, null=True, verbose_name='VIN - номер')),
                ('tracker_id', models.TextField(blank=True, null=True, verbose_name='Трекер - id')),
                ('date_sync', models.DateTimeField(blank=True, null=True, verbose_name='Дата синхронизации')),
                ('is_special', models.BooleanField(default=False, verbose_name='Специализированное транспортное средство')),
                ('hazard_class', models.TextField(blank=True, null=True, verbose_name='Класс опасности')),
                ('capacity', models.TextField(blank=True, null=True, verbose_name='Вместимость')),
                ('weight', models.TextField(blank=True, null=True, verbose_name='Грузоподъемность')),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='author_asuodstransport', to=settings.AUTH_USER_MODEL, verbose_name='Кем создано')),
                ('deleted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='asuodstransport_deleted_by', to=settings.AUTH_USER_MODEL, verbose_name='Кем удалено')),
                ('participant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='owner_asuodstransport', to='model_app.Participant', verbose_name='Владелец')),
            ],
            options={
                'verbose_name': 'АСУ ОДС Транспорт',
                'verbose_name_plural': 'АСУ ОДС Транспорт',
            },
            bases=(form_builder.annotations.models_base.AnnotationsManagerMixin, models.Model, import_export_report.models.BaseModelReport),
        ),
    ]
