# Generated by Django 4.1.4 on 2023-12-12 08:30
from typing import Type

from django.db import migrations


def rename_ogh_to_ods(apps, schema_editor):
    import eav
    from data_exchange_with_external_systems.constants import ExternalSources

    waste_site_class = apps.get_model('model_app', 'WasteSite')
    container_class = apps.get_model('model_app', 'Container')
    eav.register(waste_site_class)
    eav.register(container_class)
    waste_site_class.objects.filter(external_source="OGH").update(external_source=ExternalSources.ODS.name)
    container_class.objects.filter(external_source="OGH").update(external_source=ExternalSources.ODS.name)


class Migration(migrations.Migration):

    dependencies = [
        ('asu_ods_integration', '0003_remove_asuodstransport_owner_and_more'),
        ('model_app', '0541_auto_20221115_1449'),
    ]

    operations = [
        migrations.RunPython(rename_ogh_to_ods)
    ]
