# Generated by Django 4.1.4 on 2023-12-12 08:50
from typing import Type

from django.contrib.contenttypes.models import ContentType
from django.db import migrations, models

from eav.models import Value


def migrate_data(apps, schema_editor):
    import eav
    waste_site_class: "Type[models.Model]" = apps.get_model('model_app', 'WasteSite')
    attribute_class: "Type[models.Model]" = apps.get_model('eav', 'Attribute')
    attr = attribute_class.objects.get(slug="comment")
    eav.register(waste_site_class)

    comments_list = Value.objects.filter(
        attribute=attr,
        entity_ct=ContentType.objects.get_for_model(waste_site_class)
    ).values_list("entity_id", "value_text").distinct()

    li = []
    for ws_id, comment in comments_list:
        li.append(waste_site_class(id=ws_id, comment=comment))
    waste_site_class.objects.bulk_update(li, fields=["comment"], batch_size=1000)


class Migration(migrations.Migration):

    dependencies = [
        ('asu_ods_integration', '0004_auto_20231212_0830'),
    ]

    operations = [
    ]
