# Generated by Django 4.1.4 on 2024-07-01 04:30

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import form_builder.annotations.models_base
import import_export_report.models
import model_app.abstract_base.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('asu_ods_integration', '0005_migrate_wastesite_comment'),
    ]

    operations = [
        migrations.CreateModel(
            name='WasteSiteRawData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datetime_create', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Время добавления')),
                ('datetime_update', models.DateTimeField(auto_now=True, null=True, verbose_name='Время обновления')),
                ('deleted', models.BooleanField(blank=True, db_index=True, default=False, null=True)),
                ('datetime_delete', models.DateTimeField(blank=True, null=True, verbose_name='Время удаления')),
                ('lon', models.DecimalField(blank=True, db_index=True, decimal_places=6, max_digits=9, null=True, verbose_name='Долгота')),
                ('lat', models.DecimalField(blank=True, db_index=True, decimal_places=6, max_digits=9, null=True, verbose_name='Широта')),
                ('raw_data', models.JSONField()),
                ('object_id', models.IntegerField(db_index=True, unique=True)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='author_%(class)s', to=settings.AUTH_USER_MODEL, verbose_name='Кем создано')),
                ('deleted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='%(class)s_deleted_by', to=settings.AUTH_USER_MODEL, verbose_name='Кем удалено')),
            ],
            options={
                'verbose_name': 'Сырые данные по МНО',
                'verbose_name_plural': 'Список сырых данных по МНО',
            },
            bases=(form_builder.annotations.models_base.AnnotationsManagerMixin, models.Model, import_export_report.models.BaseModelReport, model_app.abstract_base.models.BaseModelOffline),
        ),
    ]
